aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBernd Hufmann2012-11-13 09:25:39 (EST)
committerBernd Hufmann2012-11-15 16:21:28 (EST)
commitd95ac9a196ab8a2e70e853f0de1613cfcfc16627 (patch)
tree9530633d68eb22ca355e8ae9c90f9f4a412f04db
parentd8dfc746769f92a5991f08cbb2a1e0e0ec59acfd (diff)
downloadorg.eclipse.linuxtools-d95ac9a196ab8a2e70e853f0de1613cfcfc16627.zip
org.eclipse.linuxtools-d95ac9a196ab8a2e70e853f0de1613cfcfc16627.tar.gz
org.eclipse.linuxtools-d95ac9a196ab8a2e70e853f0de1613cfcfc16627.tar.bz2
Add support for older Eclipse version (e.g. 3.6) than 3.8refs/changes/54/8654/2
Change-Id: I67ec91e26e608ddb4b243eb9f21261b070ae6d03 Reviewed-on: https://git.eclipse.org/r/8654 Tested-by: Hudson CI Reviewed-by: Alexandre Montplaisir <alexmonthy@voxpopuli.im> IP-Clean: Alexandre Montplaisir <alexmonthy@voxpopuli.im> Tested-by: Alexandre Montplaisir <alexmonthy@voxpopuli.im> Reviewed-by: Patrick Tasse <patrick.tasse@gmail.com> IP-Clean: Patrick Tasse <patrick.tasse@gmail.com>
-rw-r--r--lttng/org.eclipse.linuxtools.ctf.core.tests/META-INF/MANIFEST.MF2
-rw-r--r--lttng/org.eclipse.linuxtools.ctf.core/META-INF/MANIFEST.MF2
-rw-r--r--lttng/org.eclipse.linuxtools.ctf/feature.xml2
-rw-r--r--lttng/org.eclipse.linuxtools.lttng.help/META-INF/MANIFEST.MF2
-rw-r--r--lttng/org.eclipse.linuxtools.lttng2.core.tests/META-INF/MANIFEST.MF2
-rw-r--r--lttng/org.eclipse.linuxtools.lttng2.core/META-INF/MANIFEST.MF2
-rw-r--r--lttng/org.eclipse.linuxtools.lttng2.kernel.core.tests/META-INF/MANIFEST.MF2
-rw-r--r--lttng/org.eclipse.linuxtools.lttng2.kernel.core/META-INF/MANIFEST.MF4
-rw-r--r--lttng/org.eclipse.linuxtools.lttng2.kernel.ui.tests/META-INF/MANIFEST.MF2
-rw-r--r--lttng/org.eclipse.linuxtools.lttng2.kernel.ui/META-INF/MANIFEST.MF8
-rw-r--r--lttng/org.eclipse.linuxtools.lttng2.kernel/feature.xml22
-rw-r--r--lttng/org.eclipse.linuxtools.lttng2.ui.tests/META-INF/MANIFEST.MF2
-rw-r--r--lttng/org.eclipse.linuxtools.lttng2.ui/META-INF/MANIFEST.MF8
-rw-r--r--lttng/org.eclipse.linuxtools.lttng2/feature.xml23
-rw-r--r--lttng/org.eclipse.linuxtools.tmf.core.tests/META-INF/MANIFEST.MF6
-rw-r--r--lttng/org.eclipse.linuxtools.tmf.core/META-INF/MANIFEST.MF6
-rw-r--r--lttng/org.eclipse.linuxtools.tmf.ui.tests/META-INF/MANIFEST.MF8
-rw-r--r--lttng/org.eclipse.linuxtools.tmf.ui/META-INF/MANIFEST.MF14
-rw-r--r--lttng/org.eclipse.linuxtools.tmf/feature.xml16
19 files changed, 66 insertions, 67 deletions
diff --git a/lttng/org.eclipse.linuxtools.ctf.core.tests/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.ctf.core.tests/META-INF/MANIFEST.MF
index 9e756b3..6c8b9b8 100644
--- a/lttng/org.eclipse.linuxtools.ctf.core.tests/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.ctf.core.tests/META-INF/MANIFEST.MF
@@ -7,4 +7,4 @@ Bundle-Localization: plugin
Bundle-SymbolicName: org.eclipse.linuxtools.ctf.core.tests
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Fragment-Host: org.eclipse.linuxtools.ctf.core
-Require-Bundle: org.junit4;bundle-version="4.8.0"
+Require-Bundle: org.junit4
diff --git a/lttng/org.eclipse.linuxtools.ctf.core/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.ctf.core/META-INF/MANIFEST.MF
index f37eef0..cf7ace5 100644
--- a/lttng/org.eclipse.linuxtools.ctf.core/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.ctf.core/META-INF/MANIFEST.MF
@@ -8,7 +8,7 @@ Bundle-SymbolicName: org.eclipse.linuxtools.ctf.core;singleton:=true
Bundle-Activator: org.eclipse.linuxtools.internal.ctf.core.Activator
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.eclipse.core.runtime;bundle-version="3.8.0",
+Require-Bundle: org.eclipse.core.runtime,
org.eclipse.linuxtools.ctf.parser;bundle-version="1.0.0"
Export-Package: org.eclipse.linuxtools.ctf.core.event,
org.eclipse.linuxtools.ctf.core.event.types,
diff --git a/lttng/org.eclipse.linuxtools.ctf/feature.xml b/lttng/org.eclipse.linuxtools.ctf/feature.xml
index 90582aa..c7de35e 100644
--- a/lttng/org.eclipse.linuxtools.ctf/feature.xml
+++ b/lttng/org.eclipse.linuxtools.ctf/feature.xml
@@ -22,8 +22,8 @@
</url>
<requires>
- <import plugin="org.eclipse.core.runtime" version="3.7.0" match="greaterOrEqual"/>
<import plugin="org.antlr.runtime" version="3.2.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.core.runtime"/>
</requires>
<plugin
diff --git a/lttng/org.eclipse.linuxtools.lttng.help/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng.help/META-INF/MANIFEST.MF
index a4cabb0..0acf47d 100644
--- a/lttng/org.eclipse.linuxtools.lttng.help/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng.help/META-INF/MANIFEST.MF
@@ -5,4 +5,4 @@ Bundle-Vendor: %Bundle-Vendor
Bundle-Version: 2.0.0.qualifier
Bundle-Localization: plugin
Bundle-SymbolicName: org.eclipse.linuxtools.lttng.help; singleton:=true
-Require-Bundle: org.eclipse.help;bundle-version="3.6.0"
+Require-Bundle: org.eclipse.help
diff --git a/lttng/org.eclipse.linuxtools.lttng2.core.tests/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng2.core.tests/META-INF/MANIFEST.MF
index 9f1d9d9..26a0b1f 100644
--- a/lttng/org.eclipse.linuxtools.lttng2.core.tests/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng2.core.tests/META-INF/MANIFEST.MF
@@ -8,4 +8,4 @@ Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.core.tests
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Fragment-Host: org.eclipse.linuxtools.lttng2.core
-Require-Bundle: org.junit;bundle-version="4.8.0"
+Require-Bundle: org.junit
diff --git a/lttng/org.eclipse.linuxtools.lttng2.core/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng2.core/META-INF/MANIFEST.MF
index dded32f..07f8e44 100644
--- a/lttng/org.eclipse.linuxtools.lttng2.core/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng2.core/META-INF/MANIFEST.MF
@@ -8,6 +8,6 @@ Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.core;singleton:=true
Bundle-Activator: org.eclipse.linuxtools.internal.lttng2.core.Activator
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.eclipse.core.runtime;bundle-version="3.8.0"
+Require-Bundle: org.eclipse.core.runtime
Export-Package: org.eclipse.linuxtools.internal.lttng2.core.control.model;x-friends:="org.eclipse.linuxtools.lttng2.ui",
org.eclipse.linuxtools.internal.lttng2.core.control.model.impl;x-friends:="org.eclipse.linuxtools.lttng2.ui"
diff --git a/lttng/org.eclipse.linuxtools.lttng2.kernel.core.tests/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng2.kernel.core.tests/META-INF/MANIFEST.MF
index 0aa82b5..b28f75e 100644
--- a/lttng/org.eclipse.linuxtools.lttng2.kernel.core.tests/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng2.kernel.core.tests/META-INF/MANIFEST.MF
@@ -8,5 +8,5 @@ Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.kernel.core.tests
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Fragment-Host: org.eclipse.linuxtools.lttng2.kernel.core
-Require-Bundle: org.junit;bundle-version="4.8.0",
+Require-Bundle: org.junit,
org.eclipse.linuxtools.tmf.core;bundle-version="2.0.0"
diff --git a/lttng/org.eclipse.linuxtools.lttng2.kernel.core/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng2.kernel.core/META-INF/MANIFEST.MF
index 7b32fb2..5ad6a54 100644
--- a/lttng/org.eclipse.linuxtools.lttng2.kernel.core/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng2.kernel.core/META-INF/MANIFEST.MF
@@ -8,8 +8,8 @@ Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.kernel.core;singleton:=true
Bundle-Activator: org.eclipse.linuxtools.internal.lttng2.kernel.core.Activator
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.eclipse.core.runtime;bundle-version="3.8.0",
- org.eclipse.core.resources;bundle-version="3.8.0",
+Require-Bundle: org.eclipse.core.runtime,
+ org.eclipse.core.resources,
org.eclipse.linuxtools.ctf.core;bundle-version="1.0.0",
org.eclipse.linuxtools.tmf.core;bundle-version="2.0.0"
Export-Package: org.eclipse.linuxtools.internal.lttng2.kernel.core;x-friends:="org.eclipse.linuxtools.lttng2.kernel.ui",
diff --git a/lttng/org.eclipse.linuxtools.lttng2.kernel.ui.tests/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng2.kernel.ui.tests/META-INF/MANIFEST.MF
index 9d87347..39de0db 100644
--- a/lttng/org.eclipse.linuxtools.lttng2.kernel.ui.tests/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng2.kernel.ui.tests/META-INF/MANIFEST.MF
@@ -8,4 +8,4 @@ Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.kernel.ui.tests
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Fragment-Host: org.eclipse.linuxtools.lttng2.kernel.ui
-Require-Bundle: org.junit;bundle-version="4.8.0"
+Require-Bundle: org.junit
diff --git a/lttng/org.eclipse.linuxtools.lttng2.kernel.ui/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng2.kernel.ui/META-INF/MANIFEST.MF
index 4e3ebda..0df94c5 100644
--- a/lttng/org.eclipse.linuxtools.lttng2.kernel.ui/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng2.kernel.ui/META-INF/MANIFEST.MF
@@ -8,10 +8,10 @@ Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.kernel.ui;singleton:=true
Bundle-Activator: org.eclipse.linuxtools.internal.lttng2.kernel.ui.Activator
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.eclipse.ui;bundle-version="3.8.0",
- org.eclipse.ui.ide;bundle-version="3.8.0",
- org.eclipse.core.resources;bundle-version="3.8.0",
- org.eclipse.core.runtime;bundle-version="3.8.0",
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.ui.ide,
+ org.eclipse.core.resources,
+ org.eclipse.core.runtime,
org.eclipse.linuxtools.tmf.core;bundle-version="2.0.0",
org.eclipse.linuxtools.tmf.ui;bundle-version="2.0.0",
org.eclipse.linuxtools.lttng2.core;bundle-version="2.0.0",
diff --git a/lttng/org.eclipse.linuxtools.lttng2.kernel/feature.xml b/lttng/org.eclipse.linuxtools.lttng2.kernel/feature.xml
index 7038716..2fcc078 100644
--- a/lttng/org.eclipse.linuxtools.lttng2.kernel/feature.xml
+++ b/lttng/org.eclipse.linuxtools.lttng2.kernel/feature.xml
@@ -38,17 +38,17 @@
name="Common Trace Format (CTF)"/>
<requires>
- <import plugin="org.eclipse.core.runtime" version="3.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.help" version="3.5.100" match="greaterOrEqual"/>
- <import plugin="org.eclipse.core.resources" version="3.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.linuxtools.tmf.core" version="1.0.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.linuxtools.tmf.core" version="1.1.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.ui" version="3.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.ui.ide" version="3.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.linuxtools.tmf.ui" version="1.0.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.linuxtools.lttng2.core" version="1.0.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.linuxtools.lttng2.ui" version="1.0.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.linuxtools.lttng2.kernel.core" version="1.0.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.core.runtime"/>
+ <import plugin="org.eclipse.core.resources"/>
+ <import plugin="org.eclipse.linuxtools.ctf.core" version="1.0.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.linuxtools.tmf.core" version="2.0.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.ui"/>
+ <import plugin="org.eclipse.ui.ide"/>
+ <import plugin="org.eclipse.linuxtools.tmf.ui" version="2.0.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.linuxtools.lttng2.core" version="2.0.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.linuxtools.lttng2.ui" version="2.0.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.linuxtools.lttng2.kernel.core" version="2.0.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.help"/>
</requires>
<plugin
diff --git a/lttng/org.eclipse.linuxtools.lttng2.ui.tests/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng2.ui.tests/META-INF/MANIFEST.MF
index 00a15a0..f95c854 100644
--- a/lttng/org.eclipse.linuxtools.lttng2.ui.tests/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng2.ui.tests/META-INF/MANIFEST.MF
@@ -8,4 +8,4 @@ Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.ui.tests
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
Fragment-Host: org.eclipse.linuxtools.lttng2.ui
-Require-Bundle: org.junit;bundle-version="4.8.0"
+Require-Bundle: org.junit
diff --git a/lttng/org.eclipse.linuxtools.lttng2.ui/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.lttng2.ui/META-INF/MANIFEST.MF
index 5b49a9a..f0fe2c3 100644
--- a/lttng/org.eclipse.linuxtools.lttng2.ui/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.lttng2.ui/META-INF/MANIFEST.MF
@@ -8,10 +8,10 @@ Bundle-SymbolicName: org.eclipse.linuxtools.lttng2.ui;singleton:=true
Bundle-Activator: org.eclipse.linuxtools.internal.lttng2.ui.Activator
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.eclipse.ui;bundle-version="3.8.0",
- org.eclipse.ui.ide;bundle-version="3.8.0",
- org.eclipse.core.resources;bundle-version="3.8.0",
- org.eclipse.core.runtime;bundle-version="3.8.0",
+Require-Bundle: org.eclipse.ui,
+ org.eclipse.ui.ide,
+ org.eclipse.core.resources,
+ org.eclipse.core.runtime,
org.eclipse.linuxtools.lttng2.core;bundle-version="2.0.0",
org.eclipse.linuxtools.tmf.core;bundle-version="2.0.0",
org.eclipse.linuxtools.tmf.ui;bundle-version="1.0.0"
diff --git a/lttng/org.eclipse.linuxtools.lttng2/feature.xml b/lttng/org.eclipse.linuxtools.lttng2/feature.xml
index 4fd6e35..2564335 100644
--- a/lttng/org.eclipse.linuxtools.lttng2/feature.xml
+++ b/lttng/org.eclipse.linuxtools.lttng2/feature.xml
@@ -32,19 +32,18 @@
name="Common Trace Format (CTF)"/>
<requires>
- <import plugin="org.eclipse.core.runtime" version="3.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.ui" version="3.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.ui.ide" version="3.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.core.resources" version="3.7.100" match="greaterOrEqual"/>
- <import plugin="org.eclipse.core.filesystem" version="1.3.100" match="greaterOrEqual"/>
- <import plugin="org.eclipse.linuxtools.lttng2.core" version="1.0.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.linuxtools.tmf.core" version="1.0.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.core.runtime"/>
+ <import plugin="org.eclipse.ui"/>
+ <import plugin="org.eclipse.ui.ide"/>
+ <import plugin="org.eclipse.core.resources"/>
+ <import plugin="org.eclipse.linuxtools.lttng2.core" version="2.0.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.linuxtools.tmf.core" version="2.0.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.linuxtools.tmf.ui" version="1.0.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.rse.core" version="3.2.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.rse.services" version="3.2.100" match="greaterOrEqual"/>
- <import plugin="org.eclipse.rse.subsystems.files.core" version="3.2.100" match="greaterOrEqual"/>
- <import plugin="org.eclipse.rse.ui" version="3.2.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.help" version="3.5.100" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.rse.core" version="3.1.100" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.rse.services" version="3.2.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.rse.subsystems.files.core" version="3.2.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.rse.ui" version="3.1.100" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.help"/>
</requires>
<plugin
diff --git a/lttng/org.eclipse.linuxtools.tmf.core.tests/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.tmf.core.tests/META-INF/MANIFEST.MF
index dd789fa..e373f6a 100644
--- a/lttng/org.eclipse.linuxtools.tmf.core.tests/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.tmf.core.tests/META-INF/MANIFEST.MF
@@ -8,9 +8,9 @@ Bundle-SymbolicName: org.eclipse.linuxtools.tmf.core.tests;singleton:=true
Bundle-Activator: org.eclipse.linuxtools.tmf.core.tests.TmfCoreTestPlugin
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.junit;bundle-version="4.8.0",
- org.eclipse.core.runtime;bundle-version="3.8.0",
- org.eclipse.core.resources;bundle-version="3.8.0",
+Require-Bundle: org.junit,
+ org.eclipse.core.runtime,
+ org.eclipse.core.resources,
org.eclipse.linuxtools.tmf.core;bundle-version="2.0.0",
org.eclipse.linuxtools.ctf.core;bundle-version="1.0.0"
Export-Package: org.eclipse.linuxtools.tmf.tests.stubs.trace;x-friends:="org.eclipse.linuxtools.tmf.ui.tests"
diff --git a/lttng/org.eclipse.linuxtools.tmf.core/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.tmf.core/META-INF/MANIFEST.MF
index 68ef90d..b45e159 100644
--- a/lttng/org.eclipse.linuxtools.tmf.core/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.tmf.core/META-INF/MANIFEST.MF
@@ -8,9 +8,9 @@ Bundle-SymbolicName: org.eclipse.linuxtools.tmf.core;singleton:=true
Bundle-Activator: org.eclipse.linuxtools.internal.tmf.core.Activator
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.eclipse.core.runtime;bundle-version="3.8.0",
- org.eclipse.core.resources;bundle-version="3.8.0",
- org.eclipse.ui.views;bundle-version="3.6.100",
+Require-Bundle: org.eclipse.core.runtime,
+ org.eclipse.core.resources,
+ org.eclipse.ui.views,
org.eclipse.linuxtools.ctf.core;bundle-version="1.0.0"
Export-Package: org.eclipse.linuxtools.internal.tmf.core;x-friends:="org.eclipse.linuxtools.tmf.core.tests",
org.eclipse.linuxtools.internal.tmf.core.component;x-friends:="org.eclipse.linuxtools.tmf.core.tests",
diff --git a/lttng/org.eclipse.linuxtools.tmf.ui.tests/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.tmf.ui.tests/META-INF/MANIFEST.MF
index b2c1297..118c87c 100644
--- a/lttng/org.eclipse.linuxtools.tmf.ui.tests/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.tmf.ui.tests/META-INF/MANIFEST.MF
@@ -7,10 +7,10 @@ Bundle-Localization: plugin
Bundle-SymbolicName: org.eclipse.linuxtools.tmf.ui.tests;singleton:=true
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.junit;bundle-version="4.8.0",
- org.eclipse.ui;bundle-version="3.8.0",
- org.eclipse.core.runtime;bundle-version="3.8.0",
- org.eclipse.core.resources;bundle-version="3.8.0",
+Require-Bundle: org.junit,
+ org.eclipse.ui,
+ org.eclipse.core.runtime,
+ org.eclipse.core.resources,
org.eclipse.linuxtools.tmf.core;bundle-version="2.0.0",
org.eclipse.linuxtools.tmf.ui;bundle-version="2.0.0",
org.eclipse.linuxtools.tmf.core.tests;bundle-version="2.0.0"
diff --git a/lttng/org.eclipse.linuxtools.tmf.ui/META-INF/MANIFEST.MF b/lttng/org.eclipse.linuxtools.tmf.ui/META-INF/MANIFEST.MF
index a808e1e..a48e655 100644
--- a/lttng/org.eclipse.linuxtools.tmf.ui/META-INF/MANIFEST.MF
+++ b/lttng/org.eclipse.linuxtools.tmf.ui/META-INF/MANIFEST.MF
@@ -8,14 +8,14 @@ Bundle-SymbolicName: org.eclipse.linuxtools.tmf.ui;singleton:=true
Bundle-Activator: org.eclipse.linuxtools.internal.tmf.ui.Activator
Bundle-ActivationPolicy: lazy
Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: org.eclipse.core.expressions;bundle-version="3.4.400",
- org.eclipse.core.resources;bundle-version="3.8.0",
- org.eclipse.core.runtime;bundle-version="3.8.0",
+Require-Bundle: org.eclipse.core.expressions,
+ org.eclipse.core.resources,
+ org.eclipse.core.runtime,
org.eclipse.linuxtools.tmf.core;bundle-version="2.0.0",
- org.eclipse.ui;bundle-version="3.8.0",
- org.eclipse.ui.ide;bundle-version="3.8.0",
- org.eclipse.ui.navigator;bundle-version="3.5.200",
- org.eclipse.ui.navigator.resources;bundle-version="3.4.400"
+ org.eclipse.ui,
+ org.eclipse.ui.ide,
+ org.eclipse.ui.navigator,
+ org.eclipse.ui.navigator.resources
Export-Package: org.eclipse.linuxtools.internal.tmf.ui;x-friends:="org.eclipse.linuxtools.tmf.ui.tests",
org.eclipse.linuxtools.internal.tmf.ui.commands;x-internal:=true,
org.eclipse.linuxtools.internal.tmf.ui.dialogs;x-internal:=true,
diff --git a/lttng/org.eclipse.linuxtools.tmf/feature.xml b/lttng/org.eclipse.linuxtools.tmf/feature.xml
index 53adc79..6c7582c 100644
--- a/lttng/org.eclipse.linuxtools.tmf/feature.xml
+++ b/lttng/org.eclipse.linuxtools.tmf/feature.xml
@@ -27,16 +27,16 @@
name="Common Trace Format (CTF)"/>
<requires>
- <import plugin="org.eclipse.core.runtime" version="3.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.core.resources" version="3.7.100" match="greaterOrEqual"/>
- <import plugin="org.eclipse.ui.ide" version="3.7.0" match="greaterOrEqual"/>
<import plugin="org.eclipse.linuxtools.ctf.core" version="1.0.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.core.filesystem" version="1.3.100" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.core.runtime"/>
+ <import plugin="org.eclipse.core.resources"/>
+ <import plugin="org.eclipse.ui.views"/>
<import plugin="org.eclipse.core.expressions"/>
- <import plugin="org.eclipse.linuxtools.tmf.core" version="1.0.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.ui" version="3.7.0" match="greaterOrEqual"/>
- <import plugin="org.eclipse.ui.navigator" version="3.5.100" match="greaterOrEqual"/>
- <import plugin="org.eclipse.ui.navigator.resources" version="3.4.300" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.linuxtools.tmf.core" version="2.0.0" match="greaterOrEqual"/>
+ <import plugin="org.eclipse.ui"/>
+ <import plugin="org.eclipse.ui.ide"/>
+ <import plugin="org.eclipse.ui.navigator"/>
+ <import plugin="org.eclipse.ui.navigator.resources"/>
</requires>
<plugin